.\" $NetBSD: userdel.8,v 1.31 2005/11/25 08:00:18 agc Exp $ */
.\"
.\" Copyright (c) 1999 Alistair G. Crooks.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote
.\"    products derived from this software without specific prior written
.\"    permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS
.\" OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
.\" DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
.\" GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
.\" WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
.\" NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
.\" SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\"
.Dd November 16, 2005
.Dt USERDEL 8
.Os
.Sh NAME
.Nm userdel
.Nd remove a user from the system
.Sh SYNOPSIS
.Nm
.Fl D
.Op Fl p Ar preserve-value
.Nm
.Op Fl rSv
.Op Fl p Ar preserve-value
.Ar user
.Sh DESCRIPTION
The
.Nm
utility removes a user from the system, optionally
removing that user's home directory and any subdirectories.
.Pp
Default values are taken from the information provided in the
.Pa /etc/usermgmt.conf
file, which, if running as root, is created using the built-in
defaults if it does not exist.
.Pp
The first form of the command shown above (using the
.Fl D
option) sets and displays the defaults for the
.Nm
utility.
.Pp
See
.Xr user 8
for more information about
.Dv EXTENSIONS .
.Bl -tag -width Ds
.It Fl D
Without any further options,
.Fl D
will show the current defaults which will be used by the
.Nm
utility.
Together with one of the options shown for the first version
of the command,
.Fl D
will set the default to be the new value.
This option is included if built with
.Dv EXTENSIONS .
.It Fl p Ar preserve-value
Set the preservation value.
If this value is one of
.Ql true ,
.Ql yes ,
or a non-zero number, then the user login information will be
preserved.
This option is included if built with
.Dv EXTENSIONS .
.El
.Pp
In the second form of the command,
after setting any defaults, and then reading values from
.Pa /etc/usermgmt.conf ,
the following command line options are processed:
.Bl -tag -width Ds
.It Fl p Ar preserve-value
Preserve the user information in the password file,
but do not allow the user to login, by switching the
password to an
.Dq impossible
one, and by setting the user's shell to the
.Xr nologin 8
program.
This option can be helpful in preserving a user's
files for later use by members of that person's
group after the user has moved on.
This value can also be set in the
.Pa /etc/usermgmt.conf
file, using the
.Ql preserve
field.
If the field has any of the values
.Ql true ,
.Ql yes ,
or a non-zero number, then user information preservation will take
place.
This option is included if built with
.Dv EXTENSIONS .
.It Fl r
Remove the user's home directory, any subdirectories,
and any files and other entries in them.
.It Fl S
Allow a samba user name (with a trailing dollar sign)
to be deleted.
This option is included if built with
.Dv EXTENSIONS .
.It Fl v
Perform any actions in a verbose manner.
This option is included if built with
.Dv EXTENSIONS .
.El
.Pp
Once the information has been verified,
.Nm
uses
.Xr pwd_mkdb 8
to update the user database.
This is run in the background, and,
at very large sites could take several minutes.
Until this update
is completed, the password file is unavailable for other updates
and the new information is not available to programs.
.Sh EXIT STATUS
.Ex -std userdel
.Sh FILES
.Bl -tag -width /etc/usermgmt.conf -compact
.It Pa /etc/usermgmt.conf
.El
.Sh SEE ALSO
.Xr passwd 5 ,
.Xr usermgmt.conf 5 ,
.Xr group 8 ,
.Xr nologin 8 ,
.Xr pwd_mkdb 8 ,
.Xr user 8 ,
.Xr useradd 8
.Sh HISTORY
The
.Nm
utility first appeared in
.Nx 1.5 .
It is based on the
.Ar addnerd
package by the same author.
.Sh AUTHORS
The
.Nm
utility was written by
.An Alistair G. Crooks
.Aq agc@NetBSD.org .
